Bug 2232173 (CVE-2023-37369)

Summary: CVE-2023-37369 qtbase: buffer overflow in QXmlStreamReader
Product: [Other] Security Response Reporter: Zack Miele <zmiele>
Component: vulnerabilityAssignee: Nobody <nobody>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: desktop-qa-list, jgrulich
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Qt 5.15.15, Qt 6.2.10, Qt 6.5.2 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the qtbase package. When given specifically crafted data, the QXmlStreamReader can end up causing a buffer overflow and, subsequently, a crash.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2232360, 2222770, 2222771, 2232174, 2232175, 2232357, 2232358, 2232359    
Bug Blocks: 2232172    

Description Zack Miele 2023-08-15 17:46:06 UTC
A recently reported potential buffer overflow issue in QXmlStreamReader has been assigned the CVE id CVE-2023-37369
When given specifically crafted data then QXmlStreamReader can end up causing a buffer overflow and subsequently a crash.

https://www.qt.io/blog/security-advisory-qxmlstreamreader (fixed in qtbase-6.5.2)

Comment 2 Marian Rehak 2023-08-16 13:35:59 UTC
Created mingw-qt5-qtbase tracking bugs for this issue:

Affects: fedora-all [bug 2232357]


Created mingw-qt6-qtbase tracking bugs for this issue:

Affects: fedora-all [bug 2232358]


Created qt5-qtbase tracking bugs for this issue:

Affects: fedora-all [bug 2232359]


Created qt6-qtbase tracking bugs for this issue:

Affects: fedora-all [bug 2232360]

Comment 3 errata-xmlrpc 2023-11-07 08:14:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:6369 https://access.redhat.com/errata/RHSA-2023:6369

Comment 4 errata-xmlrpc 2023-11-14 15:18:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2023:6967 https://access.redhat.com/errata/RHSA-2023:6967